Bug 169119 - No RAID status info from the cciss raid driver
No RAID status info from the cciss raid driver
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Henzl
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 06:28 EDT by Petter Reinholdtsen
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 15:14:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petter Reinholdtsen 2005-09-23 06:28:28 EDT
The hardware RAID system in our HP ProLiant DL385 uses the cciss linux driver.
To be able to safely use our RAID system and detect when disks fail, we need to
extract the current RAID status and pass it on into our monitoring system.

But we have not been able to find the current status of the RAID system with
the information provided by the driver.  /proc/driver/cciss/cciss0 contain some
information, but no about the state of the RAID.

We would prefer some text file in /proc/ or /sys/ we could look at
every 5 minutes to check the status.

We are aware of the cpqarrayd server, capable of passing RAID events into the
syslog, but this do not cover our needs, as it will not report the current
status.

I'm setting severity to high, as the lack of status information make the
hardware raid dangerous to use.
Comment 1 RHEL Product and Program Management 2007-05-09 11:25:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2007-09-07 15:47:26 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Tom Coughlan 2007-11-21 17:17:22 EST
The HP Array Configuration Utility may do what you are looking for. See, for
example,

http://h18023.www1.hp.com/support/files/storage/us/locate/1145_6293.html

Mike, does that allow one to monitor the current status of the RAID system? Ant
other options? 
Comment 4 Mike Miller (OS Dev) 2007-11-26 14:53:10 EST
Yes, you can use the array config utility to report the status of logical
volumes. Some customers use the hpacucli to do this, but we don't recommend
that. The HP agents are the preferred method of reporting the status of the
various subsystems.
With that said we also have a lightweight utility to report status. It's called
cciss_vol_status and is available at
https://sourceforge.net/project/showfiles.php?group_id=33072&package_id=223791

We have discussed doing some of this in the driver, either in /proc or /sys. But
that's a future enhancement.
Comment 5 Tom Coughlan 2007-11-26 15:14:25 EST
Thanks Mike. 

I'll close this now. Petter, re-open as a future feature request if this is not
adequate. 

Note You need to log in before you can comment on or make changes to this bug.